package javax.swing.text.html.parser;

import java.io.PrintWriter;

class NPrintWriter extends PrintWriter
{
    private int numLines;
    private int numPrinted;
    
    public NPrintWriter(int numLines) {
        super(System.out);
        this.numLines = 5;
        this.numPrinted = 0;
        this.numLines = numLines;
    }
    
    @Override
    public void println(char[] x) {
        if (this.numPrinted >= this.numLines) {
            return;
        }
        __Null s = null;
        for (int i = 0; i < x.length; ++i) {
            if (x[i] == '\n') {
                ++this.numPrinted;
            }
            if (this.numPrinted == this.numLines) {
                System.arraycopy(x, 0, s, 0, i);
            }
        }
        if (s != null) {
            super.print(s);
        }
        if (this.numPrinted == this.numLines) {
            return;
        }
        super.println(x);
        ++this.numPrinted;
        return;
    }
}
